LinuxQuestions.org
Latest LQ Deal: Latest LQ Deals
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 04-20-2006, 01:29 AM   #1
cdc5205
LQ Newbie
 
Registered: Jan 2006
Distribution: Ubuntu 7.04
Posts: 21

Rep: Reputation: 16
eclipse will not start.


Having difficulties opening Eclipse. It will not even get to the splash screen, just says error and gives me the path to the following .log file.


Via the terminal, i type eclispe and it says
searching for compatible vm...
testing /usr/lib/jvm/java-gcj...found
then the error. I can compile java programs in the terminal using "javac" and "java" to run.. i'm a sorry.
Thank you.

Code:
!SESSION 2006-04-20 02:15:42.97 ------------------------------------------------
eclipse.buildId=
java.fullversion=GNU libgcj 4.0.2 20050808 (prerelease) (Ubuntu 4.0.1-4ubuntu9)
BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=en_US
Framework arguments:  
Command-line arguments:  -os linux -ws gtk -arch x86_64 

!ENTRY org.eclipse.update.configurator 2006-04-20 02:15:44.235
!MESSAGE /usr/local/lib/eclipse/plugins is not a valid plugins directory.

!ENTRY org.eclipse.osgi 2006-04-20 02:15:44.389
!MESSAGE An error occurred while automatically activating bundle org.eclipse.ui.workbench (21).
!STACK 0
org.osgi.framework.BundleException: The activator org.eclipse.ui.internal.WorkbenchPlugin for bundle org.eclipse.ui.workbench is invalid
   at org.eclipse.osgi.framework.internal.core.AbstractBundle.loadBundleActivator() (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start() (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(boolean) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.AbstractBundle.start() (Unknown Source)
   at org.eclipse.core.runtime.adaptor.EclipseClassLoader.findLocalClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.SingleSourcePackage.loadClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(java.lang.String, boolean) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.adaptor.core.AbstractClassLoader.loadClass(java.lang.String, boolean) (Unknown Source)
   at java.lang.ClassLoader.loadClass(java.lang.String) (/usr/lib/libgcj.so.6.0.0)
   at java.lang.VMClassLoader.defineClass(java.lang.ClassLoader, java.lang.String, byte[], int, int, java.security.ProtectionDomain) (/usr/lib/libgcj.so.6.0.0)
   at java.lang.ClassLoader.defineClass(java.lang.String, byte[], int, int, java.security.ProtectionDomain) (/usr/lib/libgcj.so.6.0.0)
   at org.eclipse.osgi.framework.adaptor.core.DefaultClassLoader.defineClass(java.lang.String, byte[], int, int, org.eclipse.osgi.framework.adaptor.core.DefaultClassLoader$ClasspathEntry) (Unknown Source)
   at org.eclipse.core.runtime.adaptor.EclipseClassLoader.defineClass(java.lang.String, byte[], int, int, org.eclipse.osgi.framework.adaptor.core.DefaultClassLoader$ClasspathEntry) (Unknown Source)
   at org.eclipse.osgi.framework.adaptor.core.DefaultClassLoader.findClassImpl(java.lang.String, org.eclipse.osgi.framework.adaptor.core.DefaultClassLoader$ClasspathEntry) (Unknown Source)
   at org.eclipse.osgi.framework.adaptor.core.DefaultClassLoader.findClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.adaptor.core.AbstractClassLoader.findLocalClass(java.lang.String) (Unknown Source)
   at org.eclipse.core.runtime.adaptor.EclipseClassLoader.basicFindLocalClass(java.lang.String) (Unknown Source)
Caused by: java.lang.NoClassDefFoundError: while resolving class: org.eclipse.ui.plugin.AbstractUIPlugin
   at java.lang.VMClassLoader.transformException(java.lang.Class, java.lang.Throwable) (/usr/lib/libgcj.so.6.0.0)
   at java.lang.VMClassLoader.resolveClass(java.lang.Class) (/usr/lib/libgcj.so.6.0.0)
   at java.lang.Class.initializeClass() (/usr/lib/libgcj.so.6.0.0)
   at java.lang.Class.initializeClass() (/usr/lib/libgcj.so.6.0.0)
   at java.lang.Class.newInstance() (/usr/lib/libgcj.so.6.0.0)
   at org.eclipse.osgi.framework.internal.core.AbstractBundle.loadBundleActivator() (Unknown Source)
   ...18 more
Caused by: java.lang.ClassNotFoundException: org.eclipse.swt.SWTError
   at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(java.lang.String, boolean) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.adaptor.core.AbstractClassLoader.loadClass(java.lang.String, boolean) (Unknown Source)
   at java.lang.ClassLoader.loadClass(java.lang.String) (/usr/lib/libgcj.so.6.0.0)
   at java.lang.Class.forName(java.lang.String, boolean, java.lang.ClassLoader) (/usr/lib/libgcj.so.6.0.0)
   at java.lang.VMClassLoader.resolveClass(java.lang.Class) (/usr/lib/libgcj.so.6.0.0)
   at java.lang.Class.initializeClass() (/usr/lib/libgcj.so.6.0.0)
   at java.lang.Class.initializeClass() (/usr/lib/libgcj.so.6.0.0)
   at java.lang.Class.newInstance() (/usr/lib/libgcj.so.6.0.0)
   at org.eclipse.osgi.framework.internal.core.AbstractBundle.loadBundleActivator() (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start() (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(boolean) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.AbstractBundle.start() (Unknown Source)
   at org.eclipse.core.runtime.adaptor.EclipseClassLoader.findLocalClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.SingleSourcePackage.loadClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(java.lang.String, boolean) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.adaptor.core.AbstractClassLoader.loadClass(java.lang.String, boolean) (Unknown Source)
   at java.lang.ClassLoader.loadClass(java.lang.String) (/usr/lib/libgcj.so.6.0.0)
   at java.lang.VMClassLoader.defineClass(java.lang.ClassLoader, java.lang.String, byte[], int, int, java.security.ProtectionDomain) (/usr/lib/libgcj.so.6.0.0)
   at java.lang.ClassLoader.defineClass(java.lang.String, byte[], int, int, java.security.ProtectionDomain) (/usr/lib/libgcj.so.6.0.0)
   at org.eclipse.osgi.framework.adaptor.core.DefaultClassLoader.defineClass(java.lang.String, byte[], int, int, org.eclipse.osgi.framework.adaptor.core.DefaultClassLoader$ClasspathEntry) (Unknown Source)
   at org.eclipse.core.runtime.adaptor.EclipseClassLoader.defineClass(java.lang.String, byte[], int, int, org.eclipse.osgi.framework.adaptor.core.DefaultClassLoader$ClasspathEntry) (Unknown Source)
Root exception:
java.lang.NoClassDefFoundError: while resolving class: org.eclipse.ui.plugin.AbstractUIPlugin
   at java.lang.VMClassLoader.transformException(java.lang.Class, java.lang.Throwable) (/usr/lib/libgcj.so.6.0.0)
   at java.lang.VMClassLoader.resolveClass(java.lang.Class) (/usr/lib/libgcj.so.6.0.0)
   at java.lang.Class.initializeClass() (/usr/lib/libgcj.so.6.0.0)
   at java.lang.Class.initializeClass() (/usr/lib/libgcj.so.6.0.0)
   at java.lang.Class.newInstance() (/usr/lib/libgcj.so.6.0.0)
   at org.eclipse.osgi.framework.internal.core.AbstractBundle.loadBundleActivator() (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start() (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(boolean) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.AbstractBundle.start() (Unknown Source)
   at org.eclipse.core.runtime.adaptor.EclipseClassLoader.findLocalClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.SingleSourcePackage.loadClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(java.lang.String, boolean) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.adaptor.core.AbstractClassLoader.loadClass(java.lang.String, boolean) (Unknown Source)
   at java.lang.ClassLoader.loadClass(java.lang.String) (/usr/lib/libgcj.so.6.0.0)
   at java.lang.VMClassLoader.defineClass(java.lang.ClassLoader, java.lang.String, byte[], int, int, java.security.ProtectionDomain) (/usr/lib/libgcj.so.6.0.0)
   at java.lang.ClassLoader.defineClass(java.lang.String, byte[], int, int, java.security.ProtectionDomain) (/usr/lib/libgcj.so.6.0.0)
   at org.eclipse.osgi.framework.adaptor.core.DefaultClassLoader.defineClass(java.lang.String, byte[], int, int, org.eclipse.osgi.framework.adaptor.core.DefaultClassLoader$ClasspathEntry) (Unknown Source)
   at org.eclipse.core.runtime.adaptor.EclipseClassLoader.defineClass(java.lang.String, byte[], int, int, org.eclipse.osgi.framework.adaptor.core.DefaultClassLoader$ClasspathEntry) (Unknown Source)
   at org.eclipse.osgi.framework.adaptor.core.DefaultClassLoader.findClassImpl(java.lang.String, org.eclipse.osgi.framework.adaptor.core.DefaultClassLoader$ClasspathEntry) (Unknown Source)
   at org.eclipse.osgi.framework.adaptor.core.DefaultClassLoader.findClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.adaptor.core.AbstractClassLoader.findLocalClass(java.lang.String) (Unknown Source)
   at org.eclipse.core.runtime.adaptor.EclipseClassLoader.basicFindLocalClass(java.lang.String) (Unknown Source)
Caused by: java.lang.ClassNotFoundException: org.eclipse.swt.SWTError
   at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(java.lang.String, boolean) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.adaptor.core.AbstractClassLoader.loadClass(java.lang.String, boolean) (Unknown Source)
   at java.lang.ClassLoader.loadClass(java.lang.String) (/usr/lib/libgcj.so.6.0.0)
   at java.lang.Class.forName(java.lang.String, boolean, java.lang.ClassLoader) (/usr/lib/libgcj.so.6.0.0)
   at java.lang.VMClassLoader.resolveClass(java.lang.Class) (/usr/lib/libgcj.so.6.0.0)
   at java.lang.Class.initializeClass() (/usr/lib/libgcj.so.6.0.0)
   at java.lang.Class.initializeClass() (/usr/lib/libgcj.so.6.0.0)
   at java.lang.Class.newInstance() (/usr/lib/libgcj.so.6.0.0)
   at org.eclipse.osgi.framework.internal.core.AbstractBundle.loadBundleActivator() (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start() (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(boolean) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.AbstractBundle.start() (Unknown Source)
   at org.eclipse.core.runtime.adaptor.EclipseClassLoader.findLocalClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.SingleSourcePackage.loadClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(java.lang.String, boolean) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.adaptor.core.AbstractClassLoader.loadClass(java.lang.String, boolean) (Unknown Source)
   at java.lang.ClassLoader.loadClass(java.lang.String) (/usr/lib/libgcj.so.6.0.0)
   at java.lang.VMClassLoader.defineClass(java.lang.ClassLoader, java.lang.String, byte[], int, int, java.security.ProtectionDomain) (/usr/lib/libgcj.so.6.0.0)
   at java.lang.ClassLoader.defineClass(java.lang.String, byte[], int, int, java.security.ProtectionDomain) (/usr/lib/libgcj.so.6.0.0)
   at org.eclipse.osgi.framework.adaptor.core.DefaultClassLoader.defineClass(java.lang.String, byte[], int, int, org.eclipse.osgi.framework.adaptor.core.DefaultClassLoader$ClasspathEntry) (Unknown Source)
   at org.eclipse.core.runtime.adaptor.EclipseClassLoader.defineClass(java.lang.String, byte[], int, int, org.eclipse.osgi.framework.adaptor.core.DefaultClassLoader$ClasspathEntry) (Unknown Source)

!ENTRY org.eclipse.osgi 2006-04-20 02:15:44.659
!MESSAGE An error occurred while automatically activating bundle org.eclipse.ui.ide (62).
!STACK 0
org.osgi.framework.BundleException: The activator org.eclipse.ui.internal.ide.IDEWorkbenchPlugin for bundle org.eclipse.ui.ide is invalid
   at org.eclipse.osgi.framework.internal.core.AbstractBundle.loadBundleActivator() (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start() (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(boolean) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.AbstractBundle.start() (Unknown Source)
   at org.eclipse.core.runtime.adaptor.EclipseClassLoader.findLocalClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(java.lang.String, boolean) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.adaptor.core.AbstractClassLoader.loadClass(java.lang.String, boolean) (Unknown Source)
   at java.lang.ClassLoader.loadClass(java.lang.String) (/usr/lib/libgcj.so.6.0.0)
   at org.eclipse.osgi.framework.internal.core.BundleLoader.loadClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleHost.loadClass(java.lang.String, boolean) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.AbstractBundle.loadClass(java.lang.String) (Unknown Source)
   at org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(org.osgi.framework.Bundle, java.lang.String, java.lang.Object, org.eclipse.core.internal.registry.ConfigurationElement, java.lang.String) (Unknown Source)
   at org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(java.lang.String, java.lang.String, java.lang.Object, org.eclipse.core.internal.registry.ConfigurationElement, java.lang.String) (Unknown Source)
   at org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(java.lang.String) (Unknown Source)
   at org.eclipse.core.internal.registry.ConfigurationElementHandle.createExecutableExtension(java.lang.String) (Unknown Source)
   at org.eclipse.core.internal.runtime.PlatformActivator$1.run(java.lang.Object) (Unknown Source)
Caused by: java.lang.ClassNotFoundException: org.eclipse.ui.internal.ide.IDEWorkbenchPlugin
   at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(java.lang.String, boolean) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.adaptor.core.AbstractClassLoader.loadClass(java.lang.String, boolean) (Unknown Source)
   at java.lang.ClassLoader.loadClass(java.lang.String) (/usr/lib/libgcj.so.6.0.0)
   at org.eclipse.osgi.framework.internal.core.BundleLoader.loadClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleHost.loadClass(java.lang.String, boolean) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.AbstractBundle.loadBundleActivator() (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start() (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(boolean) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.AbstractBundle.start() (Unknown Source)
   at org.eclipse.core.runtime.adaptor.EclipseClassLoader.findLocalClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(java.lang.String, boolean) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.adaptor.core.AbstractClassLoader.loadClass(java.lang.String, boolean) (Unknown Source)
   at java.lang.ClassLoader.loadClass(java.lang.String) (/usr/lib/libgcj.so.6.0.0)
   at org.eclipse.osgi.framework.internal.core.BundleLoader.loadClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleHost.loadClass(java.lang.String, boolean) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.AbstractBundle.loadClass(java.lang.String) (Unknown Source)
Root exception:
java.lang.ClassNotFoundException: org.eclipse.ui.internal.ide.IDEWorkbenchPlugin
   at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(java.lang.String, boolean) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.adaptor.core.AbstractClassLoader.loadClass(java.lang.String, boolean) (Unknown Source)
   at java.lang.ClassLoader.loadClass(java.lang.String) (/usr/lib/libgcj.so.6.0.0)
   at org.eclipse.osgi.framework.internal.core.BundleLoader.loadClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleHost.loadClass(java.lang.String, boolean) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.AbstractBundle.loadBundleActivator() (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start() (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(boolean) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.AbstractBundle.start() (Unknown Source)
   at org.eclipse.core.runtime.adaptor.EclipseClassLoader.findLocalClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(java.lang.String, boolean) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.adaptor.core.AbstractClassLoader.loadClass(java.lang.String, boolean) (Unknown Source)
   at java.lang.ClassLoader.loadClass(java.lang.String) (/usr/lib/libgcj.so.6.0.0)
   at org.eclipse.osgi.framework.internal.core.BundleLoader.loadClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleHost.loadClass(java.lang.String, boolean) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.AbstractBundle.loadClass(java.lang.String) (Unknown Source)

!ENTRY org.eclipse.osgi 2006-04-20 02:15:44.876
!MESSAGE Application error
!STACK 1
org.eclipse.core.runtime.CoreException[1]: java.lang.ClassNotFoundException: org.eclipse.ui.internal.ide.IDEApplication
   at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(java.lang.String, boolean) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.adaptor.core.AbstractClassLoader.loadClass(java.lang.String, boolean) (Unknown Source)
   at java.lang.ClassLoader.loadClass(java.lang.String) (/usr/lib/libgcj.so.6.0.0)
   at org.eclipse.osgi.framework.internal.core.BundleLoader.loadClass(java.lang.String) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.BundleHost.loadClass(java.lang.String, boolean) (Unknown Source)
   at org.eclipse.osgi.framework.internal.core.AbstractBundle.loadClass(java.lang.String) (Unknown Source)
   at org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(org.osgi.framework.Bundle, java.lang.String, java.lang.Object, org.eclipse.core.internal.registry.ConfigurationElement, java.lang.String) (Unknown Source)
   at org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(java.lang.String, java.lang.String, java.lang.Object, org.eclipse.core.internal.registry.ConfigurationElement, java.lang.String) (Unknown Source)
   at org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(java.lang.String) (Unknown Source)
   at org.eclipse.core.internal.registry.ConfigurationElementHandle.createExecutableExtension(java.lang.String) (Unknown Source)
   at org.eclipse.core.internal.runtime.PlatformActivator$1.run(java.lang.Object) (Unknown Source)
   at org.eclipse.core.runtime.adaptor.EclipseStarter.run(java.lang.Object) (Unknown Source)
   at org.eclipse.core.runtime.adaptor.EclipseStarter.run(java.lang.String[], java.lang.Runnable) (Unknown Source)
   at java.lang.reflect.Method.invoke(java.lang.Object, java.lang.Object[]) (/usr/lib/libgcj.so.6.0.0)
   at org.eclipse.core.launcher.Main.invokeFramework(java.lang.String[], java.net.URL[]) (Unknown Source)
   at org.eclipse.core.launcher.Main.basicRun(java.lang.String[]) (Unknown Source)
   at org.eclipse.core.launcher.Main.run(java.lang.String[]) (Unknown Source)

!ENTRY org.eclipse.osgi 2006-04-20 02:15:44.969
!MESSAGE Bundle update@plugins/org.eclipse.swt.gtk.linux.x86_64_3.1.1.jar [23] was not resolved.

Last edited by cdc5205; 04-20-2006 at 01:31 AM.
 
Old 04-20-2006, 05:59 PM   #2
mrcheeks
Senior Member
 
Registered: Mar 2004
Location: far enough
Distribution: OS X 10.6.7
Posts: 1,690

Rep: Reputation: 52
try using java from java.sun.com instead of gcj
 
Old 04-20-2006, 09:28 PM   #3
Panagiotis_IOA
Member
 
Registered: Jan 2006
Location: Hellas, Europe
Distribution: Slackware 12
Posts: 238

Rep: Reputation: 32
Have you tried to run Eclipse from your GUI enviroment just by double-clicking the executable file? If so, what messages do you get?
 
Old 04-21-2006, 02:50 AM   #4
cdc5205
LQ Newbie
 
Registered: Jan 2006
Distribution: Ubuntu 7.04
Posts: 21

Original Poster
Rep: Reputation: 16
Quote:
Originally Posted by Panagiotis_IOA
Have you tried to run Eclipse from your GUI enviroment just by double-clicking the executable file? If so, what messages do you get?
It's the exact same thing. Just bluntly says error and gives path to log file.
 
Old 05-12-2006, 12:32 AM   #5
aluchko
Member
 
Registered: Mar 2004
Location: Edmonton, AB, Canada
Distribution: Fedora
Posts: 37

Rep: Reputation: 15
My guess is this is a gcj issue as well, my advice is install the Sun JVM (use their installer, not their RPM as Sun's Java RPMS can cause problems) then start eclipse using the following command.

eclipse -vm ~/jdk1.5.0_06/bin/java
(or wherever you install the sun jdk)

and see if you still have a problem.

My other question is did you install eclipse manually or by rpm? I wonder since it's looking in

/usr/local/lib/eclipse/plugins

and I know the fedora rpms don't put anything there.
 
Old 05-13-2006, 09:57 AM   #6
killy9999
Member
 
Registered: Feb 2005
Location: Poland
Distribution: openSUSE 11.3/11.4 x64
Posts: 114

Rep: Reputation: 15
Hey, I have the same problem as cdc5205. I get almost exactly the same error log, except for a few differences:

Code:
!SESSION 2006-05-13 16:36:30.175 -----------------------------------------------
eclipse.buildId=I20050627-1435
java.version=1.5.0_06
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=linux, ARCH=x86, WS=gtk, NL=pl_PL
Command-line arguments:  -os linux -ws gtk -arch x86 -data /home/killy/.eclipse

!ENTRY org.eclipse.osgi 2006-05-13 16:36:34.143
!MESSAGE An error occurred while automatically activating bundle org.eclipse.ui.workbench (42).
!STACK 0
org.osgi.framework.BundleException: The activator org.eclipse.ui.internal.WorkbenchPlugin for bundle org.eclipse.ui.workbench is invalid
End of the log file:
Code:
!ENTRY org.eclipse.osgi 2006-05-13 16:36:34.570
!MESSAGE Bundle update@plugins/org.eclipse.platform.source.linux.gtk.x86_3.1.0/ [45] was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2006-05-13 16:36:34.570
!MESSAGE Missing host org.eclipse.platform.source_3.1.0
I have Sun Java, so I think JVM is not an issue here. I tried reinstalling packages, as well as deleting config files in my home directory, but that didn't help. Eclipse used to work earlier without any problems, so I guess one of the upgrades messed something up.
BTW. cdc5205 - you're using x86_64 version of Eclipse. Can you tell me from which repository it is, cause I only have i386 version...

Last edited by killy9999; 05-13-2006 at 09:59 AM.
 
Old 05-13-2006, 04:29 PM   #7
aluchko
Member
 
Registered: Mar 2004
Location: Edmonton, AB, Canada
Distribution: Fedora
Posts: 37

Rep: Reputation: 15
Quote:
Originally Posted by killy9999
I have Sun Java, so I think JVM is not an issue here. I tried reinstalling packages, as well as deleting config files in my home directory, but that didn't help. Eclipse used to work earlier without any problems, so I guess one of the upgrades messed something up.
BTW. cdc5205 - you're using x86_64 version of Eclipse. Can you tell me from which repository it is, cause I only have i386 version...
Can you run an upstream version of eclipse?

http://download.eclipse.org/eclipse/...1600/index.php
 
Old 05-14-2006, 04:39 AM   #8
killy9999
Member
 
Registered: Feb 2005
Location: Poland
Distribution: openSUSE 11.3/11.4 x64
Posts: 114

Rep: Reputation: 15
Yes, that solved my problem. I downloaded 64bit version, deleted eclipse in my /usr/share and replaced it with the new one. Works fine.
 
Old 05-16-2006, 01:12 AM   #9
aluchko
Member
 
Registered: Mar 2004
Location: Edmonton, AB, Canada
Distribution: Fedora
Posts: 37

Rep: Reputation: 15
Quote:
Originally Posted by killy9999
Yes, that solved my problem. I downloaded 64bit version, deleted eclipse in my /usr/share and replaced it with the new one. Works fine.
Hmm, it sounds like SuSE might be shipping the the x86 of eclipse for x86_64, you may be able to use the rpm installed version by running it with a 32 bit jvm instead of a 64 bit.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Eclipse does not start anilbh Linux - Software 5 02-15-2006 07:03 PM
can not start eclipse many errors GhostBox Linux - Software 3 11-03-2005 12:59 PM
Start work with eclipse eduardomsilva Programming 4 02-25-2005 10:17 AM
Eclipse-SDK-3 can't start! Bonch Debian 4 11-27-2004 03:52 AM
Eclipse doesn't start koswo Programming 1 10-14-2003 03:56 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 05:22 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration